Videos

List videos

get

List the videos associated to the account.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Query parameters
account_uuidstringOptional

account uuid

folder_uuidstringOptional

folder uuid

pageintegerOptional

select a page default page=1

limitintegerOptional

number of item in a page default=12

tagsstring[]Optional

don’t forget the comma between each tag, ex: METEO,TF1,Week

namestringOptional

name

isStoredbooleanOptional

if video was stored

Default: false
isDeletedbooleanOptional

if video was deleted

Default: false
isInTrashbooleanOptional

if video was trashed

Default: false
isArchivedbooleanOptional

if video was archived

Default: false
isMultiEncodedbooleanOptional

if video was multiencoded

Default: false
startAtstring · dateOptional

start interval

endAtstring · dateOptional

end interval

Responses
get
/api/v1/videos

Get a video

get

Get informations about the specified video. Contains the encoding status.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
video_uuidstringRequired

Video identifier

Responses
get
/api/v1/videos/{video_uuid}

Edit video informations

put

Edit the title of a video.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
video_uuidstringRequired

Video identifier

Body
titlestringRequired
Responses
put
/api/v1/videos/{video_uuid}
200

Video

Download encoded videos

get

Download the encoded videos associated to the specified source video in ZIP format.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
video_uuidstringRequired

Video identifier

Responses
get
/api/v1/videos/{video_uuid}/download-multi

Download video

get

Download a video.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
video_uuidstringRequired

Video identifier

Responses
get
/api/v1/videos/{video_uuid}/download

Encode video

post

Upload a video then run one or multiple encoding jobs

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Body
titleanyOptional

alternative name

filestring · binaryRequired

video file to encode

multipreset_uuidstringOptional

identifier of the multi-preset used to encode the video file

multipreset_namestringOptional

name of the multi-preset used to encode the video file

account_uuidstringRequired

the videos will belong to the account corresponding to this identifier

folderIdstringRequired

identifier of the folder where the videos will be stored

tagsstring[]Optional

list of names used to sort videos. Tags must be separated by a comma, ex: METEO,TF1,Week

Responses
post
/api/v1/videos/encode

Encode from an existing video

post

Re-encode a video with a new configuration

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
video_uuidstringRequired

Video identifier

Body
multipreset_uuidstringOptional

Identifier of the multi-preset used to encode the video file

multipreset_namestringOptional

Name of the multi-preset used to encode the video file

Responses
post
/api/v1/videos/{video_uuid}/encode
200

Video

Video trash

patch

Put the specified video in the trash.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
video_uuidstringRequired

Video identifier

Responses
patch
/api/v1/videos/{video_uuid}/trash
200

Video

Cancel a video encoding job

patch

Cancel the encodings currently being processed for the specified video. If the video serves as the source material, this action will remove all associated encodings. However, if the video is currently undergoing encoding, only the current encoding will be canceled.

Authorizations
AuthorizationstringRequired
Bearer authentication header of the form Bearer <token>.
Path parameters
video_uuidstringRequired

Video identifier

Responses
patch
/api/v1/videos/{video_uuid}/cancel

Last updated